<?php
//автор - figura
//сайт - http://f-pt.ru
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");
//echo'<div class="razd"><B>ПАНЕЛЬ АДМИНИСТРАТОРА</B></div>';
if($status=="admin")
{
//////////////////////////////////////////////////главная//////////////////////////////////////////////////
      if(empty($act)){$act="index";}
      if($act=="index")
      {
         echo'<div class="razd">Информация сайта!</div>';
         echo'<div class="ramk">';
         if($version = file_get_contents("../sistem/version.dat"))
         {
            echo'Ваша текущая версия скрипта <b>'.$version.'</b>!<br>';
            if($last_version = file_get_contents("http://f-pt.ru/up/last_version.txt"))
            {
               if($version < $last_version)
               {
                  echo'Доступны новые обновления! Актуальная версия на даннымомент <b>'.$last_version.'</b>!<br>';
                  echo'<a href="http://f-pt.ru/">Перейти на сайт разработчика</a><br>';
               }
               if($version == $last_version)
               {
                  echo'Вы используете последнюю версию скрипта!<br>';
               }
            }
         }else
         {
            echo'Не удалось определить текущую версию скрипта!<br>';
         }
         echo'</div>';
         
         echo'<div class="link">'.$img_act.'<a href="info.php?act=posetiteli_segodnj&amp;'.SID.'">Сегодняшние посетители</a></div>';
         echo'<div class="link">'.$img_act.'<a href="info.php?act=referer&amp;'.SID.'">Подробная статистика кто откуда пришёл</a></div>';
         
         
         echo'<hr size="2" width="100%">';
         echo'<a href="index.php?'.SID.'">В меню</a><br>';
      }
/////////////////////////////////////////////////////////Сегодняшние посетители///////////////////////////////
      if($act=="posetiteli_segodnj")
      {
         echo'<div class="razd">Сегодняшние посетители</div>';
         echo'Внимание: Список посетителей ровно в <B>00:00</B> начинает записываться заново!<br><br>';
         $str = file("../data/statstik/arbuz.dat");
         $str = array_reverse($str);//перевернули масив
         $nom = count($str);
         
         $nav_info = "50";
         
         //начало новой навигации
         if(isset($_GET['nom_page']) && ($_GET['nom_page'] != "")){$nom_page = $_GET['nom_page'];}else{ $nom_page = "1"; }
         if(eregi("[^0-9]" , $nom_page )){ $nom_page = "1"; }
         $asd = $nom_page - 1;
         $i= $asd * $nav_info;
         $var = $i+$nav_info;
         if($nom < $i){ $var = 0; echo'Страница не найдена!<br>'; }
         
         while($i < $var)
         {
            if($i < $nom)
            {
               $znach=explode("<>",$str[$i]);
               echo '<div class="ramk"><B>'.($i + 1).'</B>-'.$znach[0].'</div>';
            }
            ++$i;
         }
         //конец новой навигации
         $asd2 = ceil($nom / $nav_info); 
         $asd3 = "0";
         
         //навигация вперёд, назад
         if("1" < $nom_page)
         {
            $nom_previous_page = $nom_page - 1;
            echo '<a href="info.php?act=posetiteli_segodnj&amp;nom_page='.$nom_previous_page.'&amp;'.SID.'">Назад</a>';
         }else{ echo 'Назад'; }
         echo'|';
         if($asd2 > $nom_page)
         {
            $nom_next_page = $nom_page + 1;
            echo '<a href="info.php?act=posetiteli_segodnj&amp;nom_page='.$nom_next_page.'&amp;'.SID.'">Далее</a>';
         }else{ echo 'Далее'; }
         
         echo'<br>';
         
         //навигация по номерам страниц
         while(++$asd3 <= $asd2)
         {
            
            if($nom_page == $asd3)
            {
               echo'<b>('.$asd3.')</b> ';
            }else
            {
               echo'<a href="info.php?act=posetiteli_segodnj&amp;nom_page='.$asd3.'&amp;'.SID.'">'.$asd3.'</a> ';
            }
            
         }
         
         
         
         
         //============================================//
         
         echo'<br>Сегодня посетителей <B>'.$nom.'</B><br>';
         
         
         echo'<hr size="2" width="100%">';
         echo'<a href="info.php?act=index&amp;'.SID.'">Назад</a><br>';
         echo'<a href="index.php?'.SID.'">В меню</a><br>';
      }
/////////////////////////////////////////////////////Подробная статистика кто откуда пришёл////////////////////////////////
      if($act=="referer")
      {
         echo'<div class="razd">Кто откуда пришёл</div>';
         
         $str = file("../data/statstik/referer_dat.dat");
         $str=array_reverse($str);//перевернули масив
         $nom=count($str);
         
         $nav_referer = "10";
         
         //начало новой навигации
         if(isset($_GET['nom_page']) && ($_GET['nom_page'] != "")){$nom_page = $_GET['nom_page'];}else{ $nom_page = "1"; }
         if(eregi("[^0-9]" , $nom_page )){ $nom_page = "1"; }
         $asd = $nom_page - 1;
         $i= $asd * $nav_referer;
         $var = $i+$nav_referer;
         if($nom < $i){ $var = 0; echo'Страница не найдена!<br>'; }
         
         while($i < $var)
         {
            if($i < $nom)
            {
               $znach=explode("<||>",$str[$i]);
               
               echo'<div class="ramk">';
               echo'<div class="sob">';
               echo'<B>'.$znach[1].'</B>';
               echo'</div>';
               echo'Пришел с - <a href="'.$znach[0].'"><B>'.$znach[0].'</B></a><br>';
               echo'Дата - '.$znach[2].'<br>';
               echo'</div>';
            }
            ++$i;
         }
         
         //конец новой навигации
         $asd2 = ceil($nom / $nav_referer); 
         $asd3 = "0";
         
         //навигация вперёд, назад
         if("1" < $nom_page)
         {
            $nom_previous_page = $nom_page - 1;
            echo '<a href="info.php?act=referer&amp;nom_page='.$nom_previous_page.'&amp;'.SID.'">Назад</a>';
         }else{ echo 'Назад'; }
         echo'|';
         if($asd2 > $nom_page)
         {
            $nom_next_page = $nom_page + 1;
            echo '<a href="info.php?act=referer&amp;nom_page='.$nom_next_page.'&amp;'.SID.'">Далее</a>';
         }else{ echo 'Далее'; }
         
         echo'<br>';
         
         //навигация по номерам страниц
         while(++$asd3 <= $asd2)
         {
            
            if($nom_page == $asd3)
            {
               echo'<b>('.$asd3.')</b> ';
            }else
            {
               echo'<a href="info.php?act=referer&amp;nom_page='.$asd3.'&amp;'.SID.'">'.$asd3.'</a> ';
            }
            
         }
         
         
         
         
         
         //============================================//
         echo'<br>Всего записей <B>'.$nom.'</B><br>';
         if($nom>=4500){ echo'ВНИМАНИЕ, ЕСЛИ КОЛИЧЕСТВО ЗАПИСЕЙ ПРЕВЫШАЕТ "5000", ТО ВОЗМОЖНА ПЕРЕГРУЗКА СЕРВЕРА<br>Рекомендуется стереть полностью все записи!<br>'; }
         
         
         echo'<a href="info.php?act=referer_dell&amp;'.SID.'">Очистить</a><br>';
         echo'<hr size="2" width="100%">';
         echo'<a href="info.php?act=index&amp;'.SID.'">Назад</a><br>';
         echo'<a href="index.php?'.SID.'">В меню</a><br>';
      }
      
      if($act=="referer_dell")
      {
         echo'<div class="razd">Кто откуда пришёл</div>';
         echo'Вы уверены, что хотите удалить все записи! <a href="info.php?act=referer_dell_da&amp;'.SID.'">Да</a> <a href="info.php?act=referer&amp;'.SID.'">Нет</a><br>';
         
         echo'<hr size="2" width="100%">';
         echo'<a href="info.php?act=index&amp;'.SID.'">Назад</a><br>';
         echo'<a href="index.php?'.SID.'">В меню</a><br>';
      }
      
      if($act=="referer_dell_da")
      {
         echo'<div class="razd">Кто откуда пришёл</div>';
         
         if($file_referer_dell = fopen("../data/statstik/referer_dat.dat", "w+")){
            flock ($file_referer_dell,LOCK_EX);
            fputs($file_referer_dell,"");
            flock ($file_referer_dell,LOCK_UN);
            fclose($file_referer_dell);
            @chmod("../data/statstik/referer_dat.dat", 0666);
            
            echo'Все записи удалены<br><a href="info.php?act=index&amp;'.SID.'">next</a><br>';
            
         }else{
            echo'Ошибка, записи не удалены<br><a href="info.php?act=index&amp;'.SID.'">next</a><br>';
         }
         
         echo'<hr size="2" width="100%">';
         echo'<a href="info.php?act=index&amp;'.SID.'">Назад</a><br>';
         echo'<a href="index.php?'.SID.'">В меню</a><br>';
      }
      
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   }else{
//session_destroy();
echo'<div class="razd">Ошибка</div>';
echo'Нужны права администратора';
echo'<hr size="2" width="100%">';
echo'<a href="index.php?'.SID.'">Назад</a><br>';
}




echo'<a href="../index.php?'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>